package com.jojubanking.boot.module.system.convert.usecount;

import java.util.*;

import com.jojubanking.boot.framework.common.pojo.PageResult;

import org.mapstruct.Mapper;
import org.mapstruct.factory.Mappers;
import com.jojubanking.boot.module.system.controller.admin.usecount.vo.*;
import com.jojubanking.boot.module.system.dal.dataobject.usecount.UseCountDO;

/**
 * 统计 Convert
 *
 * @author admin
 */
@Mapper
public interface UseCountConvert {

    UseCountConvert INSTANCE = Mappers.getMapper(UseCountConvert.class);

    UseCountDO convert(UseCountCreateReqVO bean);

    UseCountDO convert(UseCountUpdateReqVO bean);

    UseCountRespVO convert(UseCountDO bean);

    List<UseCountRespVO> convertList(List<UseCountDO> list);

    PageResult<UseCountRespVO> convertPage(PageResult<UseCountDO> page);

    List<UseCountExcelVO> convertList02(List<UseCountDO> list);

}
